- @Override annotation 에러 발생

svn 이나 다른 프로젝트 체크 아웃 받고나서 @Override 같은 annotation 부분들에서 에러가 발생하는 경우가 생긴다.
단순하게  annotation 지워주면 에러 가 없어지지만,  자바 컴파일러 버젼이 1.6 부터인가 어노테이션 지원 을 한다고 한다.

 

-프로젝트 자바컴파일러 버젼 수정

자바  1.5 와 1.6 버젼이 깔려있고, 1.5가 기본으로 잡혀있어서 발생한 에러였다.
Project Explorer 창에서 해당 프로젝트 마우스 우측 버튼 클릭 ->
properties -> java compiler-> compiler compiance level-> 셀렉트 박스에서 1.6 으로 선택 해주면 해결 된다.

 



http://www.robotbean.com/?p=538 에서 펌


저작자 표시 비영리 변경 금지
신고
블로그 이미지

roter

JHB / Peripheral Programmer

댓글을 달아 주세요